<?php
//-----------------------------------------
//以下は必ず記述して下さい
//ログインチェック、設定ファイル読み込み、Smarty Viewの生成を行う
include_once("../../../../../app_path.php");
include_once(APP_PATH.'/BSMAdminController.php');
$bsmactlr = new BSMAdminController();
//-----------------------------------------

//Modelクラスを読み込み
//DBからのデータ読み込み、書き込み、大半の処理はこのModelクラスに書いてください。
require_once(MODULES_PATH."/extMdlMember/class/clsSearch.php");

class extMdlMemberMemberList extends extMdlMemberClsSearch
{
	var $_form = null;

	function extMdlMemberMemberList(&$bsmactlr)
	{
		$this->__construct($bsmactlr);
	}

	function __construct(&$bsmactlr)
	{
		extMdlMemberClsSearch::__construct();
		$this->bsmactlr = $bsmactlr;
		$this->_form = new HTML_QuickForm('form','post',$_SERVER['PHP_SELF'],'','',true);
	}

	function action()
	{
		//テンプレートファイル
		$tpl_file = "index.tpl";

		//フォーム部品セット
		$this->_form->addElement('text','smmbr_code', null, array('id'=>'smmbr_code','style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_sei', null, array('class'=>'w-ss','id'=>'smmbr_sei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei', null, array('class'=>'w-ss','id'=>'smmbr_mei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_sei_kana', null, array('class'=>'w-ss','id'=>'smmbr_sei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei_kana', null, array('class'=>'w-ss','id'=>'smmbr_mei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_address', null, array('class'=>'w-ll','id'=>'smmbr_address','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_tel01', null, array( 'class'=>'w-ss','id'=>'smmbr_tel01', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel02', null, array( 'class'=>'w-ss','id'=>'smmbr_tel02', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel03', null, array( 'class'=>'w-ss','id'=>'smmbr_tel03', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_mail', null, array('class'=>'w-ll','id'=>'smmbr_email','style'=>'ime-mode:disabled'));

		$this->_form->setDefaults($_SESSION['extMdlMember']);

		//リスト出力
		$rtn = array();
		$list = $this->getMember();
		$_p = isset($_REQUEST['p']) ? $_REQUEST['p'] : 0;
		$rtn = extMdlMember_Pager(10, $_p, $list, $method='GET', $urlvar='p');

		//TPLへASSIGNする場合は「$this->bsmactlr->view->assign」を使用します
		$this->bsmactlr->view->assign('list', $rtn["pagedata"]);
		$this->bsmactlr->view->assign('Pages', $rtn["pageNavi"]["all"]);

		$renderer =& new HTML_QuickForm_Renderer_ArraySmarty($this->bsmactlr->view);
		$this->_form->accept($renderer);
		$this->bsmactlr->view->assign('form',$renderer->toArray());

		//外部ファイルにリンクさせる場合はここに記述します
		$this->bsmactlr->setHeadhtml('<link href="'.BINGOTOPURL.'/usr-data/modules/extMdlMember/admin/css/imported.css" rel="stylesheet" type="text/css" media="all">');

		//テンプレートファイルセット
		$this->bsmactlr->DisplayPage($this->bsmactlr->setTpl("/extMdlMember/admin/member/".$tpl_file));
	}
}

$rsv = new extMdlMemberMemberList($bsmactlr);
$rsv->action();

?>