<?php

/*
 * モジュールがinstall.phpにて作成したテーブルの削除を行う
  * トランザクション処理は本体側で行っております
  * @param tbl_extmoduleのマスタ情報
 */
function module_delete($param, $db) {

	$delete_tbl = array();
	//------------------------------------------------------
	//モジュールが使用しているデータベーステーブル名をすべて記述して下さい。
	//ex $tbl[] = 'xxxxxxxxx';
	$delete_tbl[] = 'extunit_extMdlMember_Search';
	$delete_tbl[] = 'extunit_extMdlMember_Search_tmp';
	$delete_tbl[] = 'extunit_extMdlMember_List';
	$delete_tbl[] = 'extunit_extMdlMember_List_tmp';
	$delete_tbl[] = 'extunit_extMdlMember_Detail';
	$delete_tbl[] = 'extunit_extMdlMember_Detail_tmp';
	$delete_tbl[] = 'extunit_extMdlMember_NewList';
	$delete_tbl[] = 'extunit_extMdlMember_NewList_tmp';
	//------------------------------------------------------
	$tbl_name = implode(',', $delete_tbl);

	$sql = "drop table {$tbl_name};";
	if(!$db->query($sql)) {
		return false;
	}
	return true;
}
?>