<?php
//-----------------------------------------
//以下は必ず記述して下さい
//ログインチェック、設定ファイル読み込み、Smarty Viewの生成を行う
include_once("../../../../../app_path.php");
include_once(APP_PATH.'/BSMAdminController.php');
$bsmactlr = new BSMAdminController();
//-----------------------------------------

//Modelクラスを読み込み
//DBからのデータ読み込み、書き込み、大半の処理はこのModelクラスに書いてください。
require_once(MODULES_PATH."/extMdlMember/class/clsSearch.php");

class extMdlMemberMemberEdit extends extMdlMemberClsSearch
{
	var $_form = null;

	function extMdlMemberMemberEdit(&$bsmactlr)
	{
		$this->__construct($bsmactlr);
	}

	function __construct(&$bsmactlr)
	{
		extMdlMemberClsSearch::__construct();
		$this->bsmactlr = $bsmactlr;
		$this->_form = new HTML_QuickForm('form','post',$_SERVER['PHP_SELF'],'','',true);
	}

	function action()
	{
		//テンプレートファイル
		$tpl_file = "edit.tpl";

		//コードセット
		$code = isset($_REQUEST['smmbr_code']) ? $_REQUEST['smmbr_code'] : null;
		$this->setCode($code);

		$this->bsmactlr->view->assign('smmbr_code',$code);

		//タイトルセット
		if ($code != null) {
			$this->bsmactlr->view->assign('TTL', '顧客情報編集');
		} else {
			$this->bsmactlr->view->assign('TTL', '顧客情報&nbsp;新規登録');
		}

		//フォーム部品セット
		$this->setElements();
		$this->setRules();
		$this->setButtons();

		//処理
		$req = isset($_POST['buttons']) ? $_POST['buttons'] : array();
		//次に進む
		if (isset($req['BTNnext'])&&$req['BTNnext']!=null) {
			if($this->_form->validate()) {
				$tpl_file = "conf.tpl";
				$this->_form->freeze();
				$this->setButtons($this->_form->isFrozen());
			}
		} elseif (isset($req['BTNsave'])&&$req['BTNsave']!=null) {
		//データ保存処理
			$post = $this->_form->getSubmitValues();
			$ret = $this->doSave($post);
			if ($ret != null) {
				$this->_form->setElementError('',$ret);
			} else {
				header('location:index.php');
				exit();
			}
		//削除ボタンクリック時
		} else if(isset($req['BTNdelete'])&&$req['BTNdelete']!=null) {
			$post = $this->_form->getSubmitValues();
			$ret = $this->delete($post);
			if($ret==null) {
				header('location:index.php');
				exit();
			} else {
				$this->_form->setElementError("",$ret);
			}
		} elseif (isset($req['BTNlist'])&&$req['BTNlist']!=null) {
		//一覧画面への遷移
			header('location:index.php');
			exit();
		} else {
			//初期状態
			//登録済のデータ取得
			if ($this->_code != null) {
				$ret = $this->getData();
				$data = isset($ret[0]) ? $ret[0] : array();
				unset($data['smmbr_loginpwd']);
				$this->_form->setDefaults($data);
			}
		}
		$this->bsmactlr->view->assign('LIST',$data);

		//登録エラー時
		if(!empty($this->_form->_errors)) {
			$this->bsmactlr->view->assign('ERROR',$this->_form->_errors);
			foreach($this->_form->_errors as $key => $val) {
				$this->_form->updateElementAttr($key, array("class"=>"err"));
			}
		}
		$renderer =& new HTML_QuickForm_Renderer_ArraySmarty($this->bsmactlr->view);
		$this->_form->accept($renderer);
		$this->bsmactlr->view->assign('form',$renderer->toArray());

		//外部ファイルにリンクさせる場合はここに記述します
		$this->bsmactlr->setHeadhtml('<link href="'.BINGOTOPURL.'/usr-data/modules/extMdlMember/admin/css/imported.css" rel="stylesheet" type="text/css" media="all">');
		
		//テンプレートファイルセット
		$this->bsmactlr->DisplayPage($this->bsmactlr->setTpl("/extMdlMember/admin/member/".$tpl_file));
	}
}

$rsv = new extMdlMemberMemberEdit($bsmactlr);
$rsv->action();

?>