<?php
class extMdlMemberClsSearch
{
	var $db=null;
	var $_code=null;
	var $bsmactlr = null;

	function extMdlMemberClsSearch()
	{
		$this->__construct();
	}

	function __construct()
	{
		//PEARのライブラリを独自に追加する場合
		if (!defined('PATH_SEPARATOR')) {
		    if (strtoupper(substr(PHP_OS, 0, 3)) !== 'WIN') {
		        define('PATH_SEPARATOR', ':');
		    } else {
		        define('PATH_SEPARATOR', ';');
		    }
		}
		ini_set('include_path',ini_get('include_path').PATH_SEPARATOR.realpath(dirname( __FILE__)));

		//データベース接続
		$this->db = new DataBase();
	}

	//会員情報取得SQL生成
	function getMember()
	{
		$where = array();
		$sql = "select * from tbl_sitemember where smmbr_status = '1'";
		if (is_numeric($this->_code)) {
			$sql .= " and smmbr_code = ?";
			$where[] = $this->_code;
		}
		$result = $this->db->prepare($sql, $where);
		if($result != null) {
			$data = array();
			while ($r = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
				$data[] = $r;
			}
			return $data;
		}
		return array();
	}

	//会員情報取得
	function getData()
	{
		if (is_numeric($this->_code)) {
			$data = $this->getMember();
			if (is_array($data)) {
				return $data;
			}
		}
		return array();
	}

	function setCode($code)
	{
		if (is_numeric($code)) {
			$this->_code = $code;
		}
	}

	//会員情報編集用フォーム設定
	function setElements()
	{
		$this->_form->addElement('hidden','smmbr_code', $this->_code);
		$this->_form->addElement('hidden','smmbr_status', 1);
		$this->_form->addElement('hidden','smmbr_c_date', date('Y-m-d H:i:s'));
		$this->_form->addElement('hidden','smmbr_u_date', date('Y-m-d H:i:s'));

		$pref_ar = array(""=>"都道府県",
						"北海道"=>"北海道","青森県"=>"青森県","岩手県"=>"岩手県","宮城県"=>"宮城県","秋田県"=>"秋田県",
						"山形県"=>"山形県","福島県"=>"福島県","茨城県"=>"茨城県","栃木県"=>"栃木県","群馬県"=>"群馬県",
						"埼玉県"=>"埼玉県","千葉県"=>"千葉県","東京都"=>"東京都","神奈川県"=>"神奈川県","新潟県"=>"新潟県",
						"富山県"=>"富山県","石川県"=>"石川県","福井県"=>"福井県","山梨県"=>"山梨県","長野県"=>"長野県",
						"岐阜県"=>"岐阜県","静岡県"=>"静岡県","愛知県"=>"愛知県","三重県"=>"三重県","滋賀県"=>"滋賀県",
						"京都府"=>"京都府","大阪府"=>"大阪府","兵庫県"=>"兵庫県","奈良県"=>"奈良県","和歌山県"=>"和歌山県",
						"鳥取県"=>"鳥取県","島根県"=>"島根県","岡山県"=>"岡山県","広島県"=>"広島県","山口県"=>"山口県",
						"徳島県"=>"徳島県","香川県"=>"香川県","愛媛県"=>"愛媛県","高知県"=>"高知県","福岡県"=>"福岡県",
						"佐賀県"=>"佐賀県","長崎県"=>"長崎県","熊本県"=>"熊本県","大分県"=>"大分県","宮崎県"=>"宮崎県",
						"鹿児島県"=>"鹿児島県","沖縄県"=>"沖縄県");

		$this->_form->addElement('text','smmbr_sei', null, array('class'=>'w-ss','id'=>'smmbr_sei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei', null, array('class'=>'w-ss','id'=>'smmbr_mei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_sei_kana', null, array('class'=>'w-ss','id'=>'smmbr_sei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei_kana', null, array('class'=>'w-ss','id'=>'smmbr_mei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_email', null, array('class'=>'w-m','id'=>'smmbr_email','style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_email_mobile', null, array('class'=>'w-m','id'=>'smmbr_email_mobile','style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_zip1', null, array('class'=>'w-ss','id'=>'smmbr_zip1','style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_zip2', null, array('class'=>'w-ss','id'=>'smmbr_zip2','style'=>'ime-mode:disabled'));

		$sex[] =& $this->_form->addElement('radio', 'sex', null, '男性', '1');
		$sex[] =& $this->_form->addElement('radio', 'sex', null, '女性', '2');
		$this->_form->addGroup($sex, 'smmbr_sex','性別', ' ');

		$this->_form->addElement('select','smmbr_pref', null, $pref_ar,  null, array('id'=>'smmbr_pref'));
		$this->_form->addElement('text','smmbr_address1', null, array('class'=>'w-ll','id'=>'smmbr_address1', 'style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_address2', null, array('class'=>'w-ll','id'=>'smmbr_address2', 'style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_address3', null, array('class'=>'w-ll','id'=>'smmbr_address3', 'style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_tel01', null, array('class'=>'w-ss','id'=>'smmbr_tel01', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel02', null, array('class'=>'w-ss','id'=>'smmbr_tel02', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel03', null, array('class'=>'w-ss','id'=>'smmbr_tel03', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel11', null, array('class'=>'w-ss','id'=>'smmbr_tel11', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel12', null, array('class'=>'w-ss','id'=>'smmbr_tel12', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel13', null, array('class'=>'w-ss','id'=>'smmbr_tel13', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_fax1', null, array('class'=>'w-ss','id'=>'smmbr_fax1', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_fax2', null, array('class'=>'w-ss','id'=>'smmbr_fax2', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_fax3', null, array('class'=>'w-ss','id'=>'smmbr_fax3', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_loginid', null, array('class'=>'w-m','id'=>'smmbr_loginid', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('password','smmbr_loginpwd', null, array('class'=>'w-m','id'=>'smmbr_loginpwd', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('password','smmbr_loginpwd_re', null, array('class'=>'w-m','id'=>'smmbr_loginpwd', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_birthday', null, array('class'=>'w-s','id'=>'smmbr_birthday', 'style'=>'ime-mode:disabled'));
	}

	//フォーム入力エラーチェックの設定
	function setRules()
	{
		$this->_form->applyFilter('__ALL__','trim');
		$this->_form->setJsWarnings('下記の項目が不正です。','');
		$this->_form->registerRule('check_kana_valid', 'callback','extMdlMember_check_kana');
		$this->_form->registerRule('check_date', 'callback','extMdlMember_check_date_valid');
		$this->_form->registerRule('member_code_valid', 'callback','extMdlMember_member_code_check');
		$this->_form->registerRule('email_valid', 'callback','extMdlMember_regist_email_check');
		$this->_form->registerRule('rsv_check_kana', 'callback','extMdlMember_check_kana');
		if ($this->_code == null) {
			$this->_form->addRule('smmbr_loginid','・「ログインID」を入力してください','required',null,$this->erchk);
			$this->_form->addRule('smmbr_loginpwd','・「パスワード」を入力してください','required',null,$this->erchk);
			$this->_form->addRule('smmbr_loginpwd_re','・「パスワード再入力」を入力してください','required',null,$this->erchk);
			$this->_form->addRule(array('smmbr_loginpwd','smmbr_loginpwd_re'),'・「パスワード」「パスワード再入力」が一致していません','compare',null,$this->erchk);
		} else {
			$pwd = isset($_REQUEST['smmbr_loginpwd']) ? $_REQUEST['smmbr_loginpwd'] : null;
			if ($pwd != null) {
				$this->_form->addRule('smmbr_loginpwd_re','・「パスワード再入力」を入力してください','required',null,$this->erchk);
				$this->_form->addRule(array('smmbr_loginpwd','smmbr_loginpwd_re'),'・「パスワード」「パスワード再入力」が一致していません','compare',null,$this->erchk);
			}
		}
		$this->_form->addRule('smmbr_loginid','・この「ログインID」は既に使用されています','member_code_valid',$_REQUEST,$this->erchk);
		$this->_form->addRule('smmbr_loginid','・「ログインID」は半角英数字10文字以下で入力してください','regex','/^[a-zA-Z0-9@-_.:~]{1,10}$/',$this->erchk);
		$this->_form->addRule('smmbr_loginpwd','・「パスワード」は半角英数字4文字以上10文字以下で入力してください','regex','/^[a-zA-Z0-9@-_.:~]{4,10}$/',$this->erchk);
		$this->_form->addRule('smmbr_sei','・「姓名（姓）」を入力してください','required',null,$this->erchk);
		$this->_form->addRule('smmbr_mei','・「姓名（名）」を入力してください','required',null,$this->erchk);
		$this->_form->addRule('smmbr_sei_kana','・「姓名カナ（姓）」を入力してください','required',null,$this->erchk);
		$this->_form->addRule('smmbr_mei_kana','・「姓名カナ（名）」を入力してください','required',null,$this->erchk);
		$this->_form->addRule('smmbr_sei_kana','・「姓名カナ（姓）」は全角カナで入力してください','rsv_check_kana',null,$this->erchk);
		$this->_form->addRule('smmbr_mei_kana','・「姓名カナ（名）」は全角カナで入力してください','rsv_check_kana',null,$this->erchk);
		$this->_form->addRule('smmbr_birthday','・「生年月日」の日付が正しくありません','check_date',null,$this->erchk);
		$this->_form->addRule('smmbr_zip1','・「郵便番号（3桁）」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_zip2','・「郵便番号（4桁）」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_zip1','・「郵便番号（3桁）」を正しく入力してください','rangelength',array(3,3),$this->erchk);
		$this->_form->addRule('smmbr_zip2','・「郵便番号（4桁）」を正しく入力してください','rangelength',array(4,4),$this->erchk);
		$this->_form->addRule('smmbr_tel01','・「電話番号１」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_tel02','・「電話番号２」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_tel03','・「電話番号３」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_fax1','・「ファックス番号１」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_fax2','・「ファックス番号２」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_fax3','・「ファックス番号３」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_tel11','・「携帯番号１」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_tel12','・「携帯番号２」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_tel13','・「携帯番号３」は半角数字で入力してください','regex','/^\d+$/',$this->erchk);
		$this->_form->addRule('smmbr_email','・「PCメールアドレス」を入力してください','required',null,$this->erchk);
		$this->_form->addRule('smmbr_email','・「PCメールアドレス」を正しく入力してください','email',null,$this->erchk);
		$this->_form->addRule('smmbr_email','・このメールアドレス（PC）は既に使用されています','email_valid',$_REQUEST,$this->erchk);
		$this->_form->addRule('smmbr_email_mobile','・「携帯メールアドレス」を正しく入力してください','email',null,$this->erchk);
	}

	//フォームボタン設定
	function setButtons($frozen = false)
	{
		$buttons = array();
		if($frozen) {
			$buttons[] = $this->_form->createElement('submit','BTNback',' 編集に戻る ',array('id'=>'BTNback','class'=>'bsmBtnBack'));
			$buttons[] = $this->_form->createElement('submit','BTNsave',' 保存する ',array('id'=>'BTNsave','class'=>'bsmBtnSave'));
		} else {
			$buttons[] = $this->_form->createElement('submit','BTNlist',' 一覧に戻る ',array('id'=>'BTNlist','class'=>'bsmBtnListBack'));
			$buttons[] = $this->_form->createElement('submit','BTNnext',' 次へ進む ',array('id'=>'BTNnext','class'=>'bsmBtnNext'));
			if($this->_code != null) {
				$buttons[] = $this->_form->createElement('submit','BTNdelete',' 削除 ',array('id'=>'BTNdelete','class'=>'bsmBtnDelete','onClick'=>'return confirm(\'本当に削除してよろしいですか？\')'));
			}
		}
		$this->_form->addGroup($buttons,"buttons", null, '&nbsp;&nbsp;');
	}

	//削除処理
	function delete($post) {
		if(isset($post["smmbr_code"]) && is_numeric($post["smmbr_code"])) {
			$this->db->query('BEGIN');
			if($this->db->update("tbl_sitemember", array("smmbr_status"=>0,"smmbr_u_date"=>"now()"),"smmbr_code=".$post["smmbr_code"])) {
				$this->db->query('COMMIT');
				return null;
			}
			$this->db->query('ROLLBACK');
			return "・削除に失敗しました";
		}
		return "・会員コードが不明です";
	}

	//データ保存処理
	function doSave($post)
	{
		$this->db->query('BEGIN');
		$post['smmbr_sex'] = isset($post['smmbr_sex']['sex']) ? $post['smmbr_sex']['sex'] : null;
		foreach ($post as $k => $v) {
			if ($v == "") {
				$post[$k] = null;
			}
		}
		unset($post['buttons']);
		unset($post['mode']);
		unset($post['smmbr_loginpwd_re']);

		if (is_numeric($this->_code)) {
			if (!isset($post['smmbr_loginpwd']) || $post['smmbr_loginpwd']== "") {
				unset($post['smmbr_loginpwd']);
			} else {
				$post['smmbr_loginpwd'] = sha1($post['smmbr_loginpwd']);
			}
			unset($post['smmbr_c_date']);
			$ret = $this->db->update("tbl_sitemember", $post,"smmbr_code=".$this->_code);
		} else {
			unset($post['smmbr_code']);
			$post['smmbr_loginpwd'] = sha1($post['smmbr_loginpwd']);
			$ret = $this->db->insert("tbl_sitemember", $post);
		}
		if ($ret == null) {
			$this->db->query('ROLLBACK');
			return "・保存に失敗しました";
		}
		$this->db->query('COMMIT');
		return null;
	}
}




/**
 *	ページング処理
 *  @param	 	$pg_limit		int　	1ページの表示件数
 *  @param	 	$current_page　	int　	表示ページ
 *  @param	 	$data　			array　	データ
 *  @param	 	$method　		string　送信メソッド（'POST'/'GET'、デフォルト='GET'）
 *  @param	 	$urlvar　		string　パラメータ名（任意、デフォルト= 'FROM'）
 * 	@return	array			表示データ＆ページ情報
 *  							$rtn['pagedata'] array	ページ表示用データ
 *  							$rtn['pageNavi'] string	ページナビゲーションテキスト
*/

function extMdlMember_Pager($pg_limit, $current_page, $data, $method='GET',$urlvar='pager_num')
{

		$params = array('mode' => 'sliding',
					'perPage' => $pg_limit,
					'delta' => 2,
					'prevImg' => '&lt;&lt;&nbsp;&nbsp;',
					'nextImg' => '&nbsp;&gt;&gt; ',
					'urlVar' => $urlvar,
					'currentPage' => $current_page,
					"curPageSpanPre" => "<b>[",
					"curPageSpanPost" => "]</b>",
					'separator' => '&nbsp;',
					'clearIfVoid'=>true,
					'spacesBeforeSeparator' => 1,
					'spacesAfterSeparator' => 1,
					'itemData' => $data,
					'httpMethod' => $method,
					"firstPagePre" => "[",
					"firstPageText" => "先頭",
					"firstPagePost" => "]",
					"lastPagePre" => "[",
					"lastPageText" => "最後",
					"lastPagePost" => "]"
					);

	$rtn = array();
	$pager = & Pager::factory($params);
	//表示データ
	$rtn['pagedata'] = $pager->getPageData();
	//ページナビ
	$links = $pager->getLinks();
	$rtn['pageNavi'] = $links;

	return $rtn;

}

//ログインIDの重複チェック
function extMdlMember_member_code_check($value,$sub_ar=array()) {
	$smmbr_code = isset($sub_ar['smmbr_code']) ? $sub_ar['smmbr_code'] : "";
	$whrdata = ($smmbr_code != null) ? " and smmbr_code != ".$smmbr_code : "";
	$db = DB::connect(DSN);
	if(PEAR::isError($db)) {
		die($db->getMessage());
	}
	$sql = "select count(*) from tbl_sitemember where smmbr_status = '1' and smmbr_loginid like '{$value}'".$whrdata;
	$cnt = $db->getOne($sql);
	if($cnt > 0) {
		return false;
	} else {
		return true;
	}
}

//メールアドレスの登録チェック
function extMdlMember_email_check($value,$sub_ar=array()) {
	$smmbr_email = isset($sub_ar['smmbr_email']) ? $sub_ar['smmbr_email'] : "";
	if ($smmbr_email != "") {
		$smmbr_code = isset($sub_ar['smmbr_code']) ? $sub_ar['smmbr_code'] : "";
		$whrdata = ($smmbr_code != null) ? " and smmbr_code != ".$smmbr_code : "";
		$db = DB::connect(DSN);
		if(PEAR::isError($db)) {
			die($db->getMessage());
		}
		$sql = "select count(*) from tbl_sitemember where smmbr_status = '1' and smmbr_email like '{$value}'".$whrdata;
		$cnt = $db->getOne($sql);
		if($cnt > 0) {
			return true;
		} else {
			return false;
		}
	}
	return false;
}

//メールアドレスの重複チェック
function extMdlMember_regist_email_check($value,$sub_ar=array()) {
	$smmbr_email = isset($sub_ar['smmbr_email']) ? $sub_ar['smmbr_email'] : "";
	$smmbr_code = isset($sub_ar['smmbr_code']) ? $sub_ar['smmbr_code'] : "";
	$whrdata = ($smmbr_code != null) ? " and smmbr_code != ".$smmbr_code : "";
	$db = DB::connect(DSN);
	if(PEAR::isError($db)) {
		die($db->getMessage());
	}
	$sql = "select count(*) from tbl_sitemember where smmbr_status = '1' and smmbr_email like '{$value}'".$whrdata;
	$cnt = $db->getOne($sql);
	if($cnt > 0) {
		return false;
	} else {
		return true;
	}
}

//全角カナチェック
function extMdlMember_check_kana($str = null) {
	if($str != null) {
		$str = str_replace(" ", "",mb_convert_kana( $str, "s"));
		return mb_ereg("^([ァ-ヶｦー　])+$", $str);
	}
}
?>