<?php
require_once ('clsSearch.php');

class extMdlMemberClsUnitSearch extends extMdlMemberClsSearch
{
	var $_form = null;
	
	function extMdlMemberClsUnitSearch()
	{
		$this->__construct();
	}

	function __construct()
	{
		extMdlMemberClsSearch::__construct();
	}
	
	//ZbV̎擾
	function getSess($varname) {
	 	return isset($_SESSION['extMdlMember'][$varname]) ? $_SESSION['extMdlMember'][$varname] : "";
	}
	
	//SmartyIuWFNg̃Zbg
	function setForm(&$form)
	{
		$this->_form = $form;
	}

	//ptH[vfݒ
	function setSerachElements()
	{
		$this->_form->addElement('text','smmbr_code', null, array('size'=>'10','id'=>'smmbr_code','style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_sei', null, array('size'=>'10','id'=>'smmbr_sei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei', null, array('size'=>'10','id'=>'smmbr_mei','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_sei_kana', null, array('size'=>'10','id'=>'smmbr_sei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_mei_kana', null, array('size'=>'10','id'=>'smmbr_mei_kana','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_address', null, array('size'=>'50','id'=>'smmbr_address','style'=>'ime-mode:enabled'));
		$this->_form->addElement('text','smmbr_tel01', null, array('size'=>'10','id'=>'smmbr_tel01', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel02', null, array('size'=>'10','id'=>'smmbr_tel02', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_tel03', null, array('size'=>'10','id'=>'smmbr_tel03', 'style'=>'ime-mode:disabled'));
		$this->_form->addElement('text','smmbr_mail', null, array('size'=>'50','id'=>'smmbr_email','style'=>'ime-mode:disabled'));
		$this->_form->setDefaults($_SESSION['extMdlMember']);
	}
	
	//擾
	function getData($smmbr_code=null)
	{
		$sql = "SELECT * FROM tbl_sitemember where smmbr_status = '1'";
		$where = array();
		
		if (is_numeric($smmbr_code)) {
			$sql .= " and smmbr_code = ?";
			$where[] = $smmbr_code;
		} else {
			$ret = $this->setListQuery();
			if (isset($ret[0]) && count($ret[0]) > 0) {
				$sql .= " and " . join(' and ', $ret[0]);
			}
			if (isset($ret[1]) && count($ret[1]) > 0) {
				$where = $where + $ret[1];
			}
		}

		$result = $this->db->prepare($sql, $where);
		if($result != null) {
			$data = array();
			while ($r = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
				$data[] = $r;
			}
			return $data;
		}
		return array();
	}
	
	//񌟍SESSIONݒ
	function setSession()
	{
		if (isset($_REQUEST['SEARCH'])) {
			$smmbr_code    = isset($_REQUEST['smmbr_code']) ? $_REQUEST['smmbr_code'] : "";
			$smmbr_sei     = isset($_REQUEST['smmbr_sei']) ? $_REQUEST['smmbr_sei'] : "";
			$smmbr_mei     = isset($_REQUEST['smmbr_mei']) ? $_REQUEST['smmbr_mei'] : "";
			$smmbr_sei_kana= isset($_REQUEST['smmbr_sei_kana']) ? $_REQUEST['smmbr_sei_kana'] : "";
			$smmbr_mei_kana= isset($_REQUEST['smmbr_mei_kana']) ? $_REQUEST['smmbr_mei_kana'] : "";
			$smmbr_address = isset($_REQUEST['smmbr_address']) ? $_REQUEST['smmbr_address'] : "";
			$smmbr_tel01   = isset($_REQUEST['smmbr_tel01']) ? $_REQUEST['smmbr_tel01'] : "";
			$smmbr_tel02   = isset($_REQUEST['smmbr_tel02']) ? $_REQUEST['smmbr_tel02'] : "";
			$smmbr_tel03   = isset($_REQUEST['smmbr_tel03']) ? $_REQUEST['smmbr_tel03'] : "";
			$smmbr_mail    = isset($_REQUEST['smmbr_mail']) ? $_REQUEST['smmbr_mail'] : "";

			$_SESSION['extMdlMember']['smmbr_code']     = $smmbr_code;
			$_SESSION['extMdlMember']['smmbr_sei']      = $smmbr_sei;
			$_SESSION['extMdlMember']['smmbr_mei']      = $smmbr_mei;
			$_SESSION['extMdlMember']['smmbr_sei_kana'] = $smmbr_sei_kana;
			$_SESSION['extMdlMember']['smmbr_mei_kana'] = $smmbr_mei_kana;
			$_SESSION['extMdlMember']['smmbr_address']  = $smmbr_address;
			$_SESSION['extMdlMember']['smmbr_tel01']    = $smmbr_tel01;
			$_SESSION['extMdlMember']['smmbr_tel02']    = $smmbr_tel02;
			$_SESSION['extMdlMember']['smmbr_tel03']    = $smmbr_tel03;
			$_SESSION['extMdlMember']['smmbr_mail']     = $smmbr_mail;
			return true;
		}
		return false;
	}
	
	//ʕ\pSQL
	function setListQuery()
	{
		$smmbr_code    = $this->getSess('smmbr_code');
		$smmbr_sei     = $this->getSess('smmbr_sei');
		$smmbr_mei     = $this->getSess('smmbr_mei');
		$smmbr_sei_kana= $this->getSess('smmbr_sei_kana');
		$smmbr_mei_kana= $this->getSess('smmbr_mei_kana');
		$smmbr_address = $this->getSess('smmbr_address');
		$smmbr_tel01   = $this->getSess('smmbr_tel01');
		$smmbr_tel02   = $this->getSess('smmbr_tel02');
		$smmbr_tel03   = $this->getSess('smmbr_tel03');
		$smmbr_mail    = $this->getSess('smmbr_mail');

		$sql = array();
		$where = array();
		if ($smmbr_code != null) {
			$sql[] = "smmbr_code = ?";
			$where[] = $smmbr_code;
		}
		if ($smmbr_sei != null) {
			$sql[] = "smmbr_sei Like ?";
			$where[] ="%". $smmbr_sei."%";
		}
		if ($smmbr_mei != null) {
			$sql[] = "smmbr_mei Like ?";
			$where[] = "%".$smmbr_mei."%";
		}
		if ($smmbr_sei_kana != null) {
			$sql[] = "smmbr_sei_kana Like ?";
			$where[] ="%". $smmbr_sei_kana."%";
		}
		if ($smmbr_mei_kana != null) {
			$sql[] = "smmbr_mei_kana Like ?";
			$where[] ="%". $smmbr_mei_kana."%";
		}
		if ($smmbr_address != null) {
			$sql[] = "(smmbr_pref Like '%".$smmbr_address."%' or
						smmbr_address1 Like '%".$smmbr_address."%' or
						smmbr_address2 Like '%".$smmbr_address."%' or
						smmbr_address3 Like '%".$smmbr_address."%')";
		}
		if ($smmbr_tel01 != null) {
			$sql[] = "smmbr_tel01 = ?";
			$where[] = $smmbr_tel01;
		}
		if ($smmbr_tel02 != null) {
			$sql[] = "smmbr_tel02 = ?";
			$where[] = $smmbr_tel02;
		}
		if ($smmbr_tel03 != null) {
			$sql[] = "smmbr_tel03 = ?";
			$where[] = $smmbr_tel03;
		}
		if ($smmbr_mail != null) {
			$sql[] = "(smmbr_email Like ? OR smmbr_email_mobile Like ?)";
			$where[] = "%".$smmbr_mail."%";
			$where[] = "%".$smmbr_mail."%";
		}
		return array($sql, $where);
	}	
}
?>